Skip to main content
GET
/
saved_filters
Get all saved filters
curl --request GET \
  --url https://api.vantage.sh/v2/saved_filters \
  --header 'Authorization: Bearer <token>'
{
  "links": {
    "self": "https://api.vantage.sh/v2/saved_filters",
    "first": "https://api.vantage.sh/v2/saved_filters?page=1",
    "next": null,
    "last": "https://api.vantage.sh/v2/saved_filters?page=1",
    "prev": null
  },
  "saved_filters": [
    {
      "token": "svd_fltr_3dffc0458f7a2487",
      "title": "AWS Account",
      "cost_report_tokens": [
        "rprt_3d0ae4648f5fd8f7"
      ],
      "filter": "(costs.provider = 'aws' AND costs.account_id = '30')",
      "created_at": "2024-07-15T16:08:53Z",
      "created_by": "usr_95fac32734bdceab",
      "workspace_token": "wrkspc_914dcb0959497507"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page
integer<int32>

The page of results to return.

limit
integer<int32>

The amount of results to return. The maximum is 1000.

Response

200 - application/json

SavedFilters model

saved_filters
object[]
required